Bug 245407 - Add config attributes to cn=config to support Console
Summary: Add config attributes to cn=config to support Console
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Admin   
(Show other bugs)
Version: 1.0.4
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 152373 240316 FDS1.1.0
TreeView+ depends on / blocked
 
Reported: 2007-06-22 21:32 UTC by Noriko Hosoi
Modified: 2015-12-07 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 16:50:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cvs diffs (ldapserver) (6.45 KB, patch)
2007-06-22 21:32 UTC, Noriko Hosoi
no flags Details | Diff
cvs commit message (561 bytes, text/plain)
2007-06-22 21:55 UTC, Noriko Hosoi
no flags Details
cvs commit create_instance.c (594 bytes, text/plain)
2007-06-22 23:17 UTC, Noriko Hosoi
no flags Details

Description Noriko Hosoi 2007-06-22 21:32:03 UTC
Description of problem:
Console needs to know the default paths for ldif_dir and bak_dir.
Adding the paths to cn=config.

Comment 1 Noriko Hosoi 2007-06-22 21:32:03 UTC
Created attachment 157653 [details]
cvs diffs (ldapserver)

Comment 2 Noriko Hosoi 2007-06-22 21:55:54 UTC
Created attachment 157660 [details]
cvs commit message

Reviewed by Nathan (Thank you!!)

Checked in into HEAD.

Comment 3 Noriko Hosoi 2007-06-22 23:17:06 UTC
Created attachment 157668 [details]
cvs commit create_instance.c

Sorry, I forgot to check this file (create_instance.c) in...

Check-in done.

Comment 4 Yi Zhang 2007-11-28 23:12:51 UTC
Verified. Pass
Test machine: neo.dsdev.sjc.redhat.com

Test:
1> Install DS on neo
2> verity the two added attribute are in dse.ldif, and also under "cn=config"
[root@neo slapd-neo]# grep nsslapd-ldifdir dse.ldif
nsslapd-ldifdir: /var/lib/dirsrv/slapd-neo/ldif
[root@neo slapd-neo]# grep nsslapd-bakdir dse.ldif
nsslapd-bakdir: /var/lib/dirsrv/slapd-neo/bak


dn: cn=config
cn: config
objectClass: top
objectClass: extensibleObject
objectClass: nsslapdConfig
nsslapd-schemadir: /etc/dirsrv/slapd-neo/schema
nsslapd-lockdir: /var/lock/dirsrv/slapd-neo
nsslapd-tmpdir: /tmp
nsslapd-certdir: /etc/dirsrv/slapd-neo
nsslapd-ldifdir: /var/lib/dirsrv/slapd-neo/ldif
nsslapd-bakdir: /var/lib/dirsrv/slapd-neo/bak




Note You need to log in before you can comment on or make changes to this bug.